Bug 39927 - IE11: Some App Logos are not shown
IE11: Some App Logos are not shown
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Johannes Keiser
Alexander Kläser
:
Depends on:
Blocks: 44186
  Show dependency treegraph
 
Reported: 2015-11-13 10:45 CET by Dirk Wiesenthal
Modified: 2017-03-31 11:41 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Browser compatibility
Max CVSS v3 score:


Attachments
IE10 having trouble with the icon sprite (104.66 KB, image/png)
2015-11-13 12:57 CET, Dirk Wiesenthal
Details
IE11 having trouble showing all Logos (note that it shows them at the bottom, though) (209.36 KB, image/png)
2015-11-13 12:58 CET, Dirk Wiesenthal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2015-11-13 10:45:59 CET
For some reason the first App Logos in the Gallery are not shown. For me, it were the first 4 of 5 installed Apps. All available Apps had their logos.

Plus, some SVGs used as sprites are not exactly cut for IE11, but I guess this is a general problem. App Center example: "Do you really want to install" page, the small arrow with "Further information" on the installed packages.
Comment 1 Alexander Kläser univentionstaff 2015-11-13 12:07:29 CET
Hm, I guess it's a problem with IE11 and SVG. We already had these problems at Bug 38225 and solved it by converting SVG automatically to PNG for IE11.
Comment 2 Alexander Kläser univentionstaff 2015-11-13 12:19:56 CET
Dirk, can you post the exact IE11 build version?
Comment 3 Alexander Kläser univentionstaff 2015-11-13 12:24:28 CET
Can you post a screenshot?
Comment 4 Dirk Wiesenthal univentionstaff 2015-11-13 12:57:52 CET
Created attachment 7294 [details]
IE10 having trouble with the icon sprite
Comment 5 Dirk Wiesenthal univentionstaff 2015-11-13 12:58:45 CET
Created attachment 7295 [details]
IE11 having trouble showing all Logos (note that it shows them at the bottom, though)
Comment 6 Alexander Kläser univentionstaff 2015-11-13 13:04:24 CET
(In reply to Dirk Wiesenthal from comment #4)
> Created attachment 7294 [details]
> IE10 having trouble with the icon sprite

I opened a new bug for this, this is different matter → Bug 39931
Comment 7 Alexander Kläser univentionstaff 2015-11-13 13:04:41 CET
BTW, thanks for the screenshots :) .
Comment 8 Alexander Kläser univentionstaff 2015-11-13 13:10:10 CET
(In reply to Dirk Wiesenthal from comment #5)
> Created attachment 7295 [details]
> IE11 having trouble showing all Logos (note that it shows them at the
> bottom, though)

AFAI, the latest IE11 version is 11.0.9600.18036... could you check with this version?
Comment 9 Johannes Keiser univentionstaff 2016-04-21 16:22:07 CEST
r 68867

univention-appcenter (5.0.20-46):
* Bug #39927: fixed some svgs not showing up on IE

YAML: r 68868
Comment 10 Alexander Kläser univentionstaff 2016-04-27 10:04:04 CEST
Change: OK, yet I have no idea why this fix works :) . MS Edge13 also seems to work (although it should not be detected as Trident).
YAML file: OK.

→ VERIFIED
Comment 11 Janek Walkenhorst univentionstaff 2016-04-27 17:32:40 CEST
<http://errata.software-univention.de/ucs/4.1/157.html>